<md-dialog flex="50" aria-label="Invite profile" zafira-background-theme="modal" class="styled-modal">
    <form class="form-validation styled-modal__form" name="invite_form" ng-cloak>
        <md-toolbar class="modal-header">
            <div class="md-toolbar-tools modal-header__wrapper">
                <h2 id="modalTitle" class="modal-header__title">Invite users</h2>
                <span flex></span>
                <md-button id="close" class="md-icon-button _default-md-style" data-ng-click="cancel()">
                    <md-icon aria-label="Close dialog">close</md-icon>
                </md-button>
            </div>
        </md-toolbar>

        <md-dialog-content class="modal-content">
            <div class="md-dialog-content modal-content__wrapper">
                <md-content class="autocomplete" layout="column" style="background-color: transparent">
                    <div class="inputs-group">
                        <div layout layout-xs="column" class="input-size-m">
                            <md-input-container>
                                <label>Choose group</label>
                                <md-select id="userGroup" name="userGroup" data-ng-model="userGroup" placeholder="" required>
                                    <md-option ng-repeat="group in groups" ng-if="group.invitable" ng-value="group.id">
                                        {{group.name}}
                                    </md-option>
                                </md-select>
                            </md-input-container>
                        </div>
                    </div>
                    <md-input-container flex class="chips-input-container _no-label">
                        <md-chips ng-model="emails"
                                    name="email"
                                    filter-selected=false
                                    md-autocomplete-snap
                                    md-transform-chip="checkAndTransformRecipient($chip)"
                                    md-on-remove="removeRecipient($chip)"
                                    md-add-on-blur="true"
                                    md-separator-keys="keys"
                                    placeholder="Enter an email..." ng-init="initMdChipsCtrl();">
                            <md-chip-template>
                                {{ $chip }}
                            </md-chip-template>
                        </md-chips>
                    </md-input-container>
                    <div class="validation_error" ng-messages="invite_form.email.$error">
                        <div ng-message="validationError">
                            {{ invite_form.email.errorMessage }}
                        </div>
                    </div>
                </md-content>
            </div>
        </md-dialog-content>

        <md-dialog-actions layout="row" class="styled-modal__controls-wrapper">
            <md-button ng-click="invite(emails, invite_form);" ng-disabled="!chipCtrl || (! chipCtrl.chipBuffer.length && ! chipCtrl.items.length) || ! userGroup || tryInvite" id="change" class="md-raised btn-w-md md-primary">
                Invite
            </md-button>
        </md-dialog-actions>
    </form>
</md-dialog>
